| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Attributes | List of all members
LSInstallationFile Struct Reference

`#include <LicenseSpring/C-interface/InstallationFile.h>`

## Public Attributes
const char *(* | getVersion )(struct LSInstallationFile *self)
const char *(* | getUrl )(struct LSInstallationFile *self)
const char *(* | getMd5Hash )(struct LSInstallationFile *self)
const char *(* | getReleaseDate )(struct LSInstallationFile *self)
const char *(* | getRequiredVersion )(struct LSInstallationFile *self)
const char *(* | getEnvironment )(struct LSInstallationFile *self)
const char *(* | getEulaLink )(struct LSInstallationFile *self)
const char *(* | getReleaseNotesLink )(struct LSInstallationFile *self)
const char *(* | getChannel )(struct LSInstallationFile *self)
unsigned long long(* | getSize )(struct LSInstallationFile *self)
void * | inner

## Detailed Description

Definition at line 10 of file InstallationFile.h.

## Member Data Documentation

## ◆ getVersion

const char*( * LSInstallationFile::getVersion) (struct LSInstallationFile *self)

Definition at line 12 of file InstallationFile.h.

## ◆ getUrl

const char*( * LSInstallationFile::getUrl) (struct LSInstallationFile *self)

Definition at line 14 of file InstallationFile.h.

## ◆ getMd5Hash

const char*( * LSInstallationFile::getMd5Hash) (struct LSInstallationFile *self)

Definition at line 16 of file InstallationFile.h.

## ◆ getReleaseDate

const char*( * LSInstallationFile::getReleaseDate) (struct LSInstallationFile *self)

Definition at line 18 of file InstallationFile.h.

## ◆ getRequiredVersion

const char*( * LSInstallationFile::getRequiredVersion) (struct LSInstallationFile *self)

Definition at line 20 of file InstallationFile.h.

## ◆ getEnvironment

const char*( * LSInstallationFile::getEnvironment) (struct LSInstallationFile *self)

Definition at line 22 of file InstallationFile.h.

## ◆ getEulaLink

const char*( * LSInstallationFile::getEulaLink) (struct LSInstallationFile *self)

Definition at line 24 of file InstallationFile.h.

## ◆ getReleaseNotesLink

const char*( * LSInstallationFile::getReleaseNotesLink) (struct LSInstallationFile *self)

Definition at line 26 of file InstallationFile.h.

## ◆ getChannel

const char*( * LSInstallationFile::getChannel) (struct LSInstallationFile *self)

Definition at line 28 of file InstallationFile.h.

## ◆ getSize

unsigned long long( * LSInstallationFile::getSize) (struct LSInstallationFile *self)

Definition at line 30 of file InstallationFile.h.

## ◆ inner

void* LSInstallationFile::inner

Definition at line 32 of file InstallationFile.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/InstallationFile.h